/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package database;

import structures.*;
import java.util.Hashtable;
import java.util.Vector;

/* class Context
 * Contexts contain: Other vehicle data, this vehicle data,
 * roadsign data or dynamic sign data
 */
public class Context {

    public static Hashtable<String, HashContext> context = new Hashtable<String, HashContext>();
    public static HashContext me = new HashContext();
    public static Vector<RoadSignEntry> staticRoadSignVector = new Vector<RoadSignEntry>();
    public static Vector<RoadSignEntry> dynamicRoadSignVector = new Vector<RoadSignEntry>();
    public static Vector<ChargePointEntry> chargePointVector = new Vector<ChargePointEntry>();
    public static Hashtable<String, String> chargedHashTable = new Hashtable<String, String>();
    public static Vector<ChargesEntry> chargedVector = new Vector<ChargesEntry>();

}
